/*
 * This file is part of the CookieScript project.
 *
 * (c) Yasser Ameur El Idrissi <getspookydev@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

import Welcome from './containers/Welcome.container.jsx';
import Register from './containers/auth/Register.container.jsx';
import Login from './containers/auth/Login.container';
import Profile from './containers/Profile.container';

// registering all routes.
const Routes = [
  {
    path: '/',
    name: 'welcome',
    component: Welcome,
  },
  {
    path: '/register',
    name: 'register',
    component: Register,
  },
  {
    path: '/login',
    name: 'login',
    component: Login,
  },
  {
    path: '/profile',
    name: 'profile',
    component: Profile,
    private: true
  }
];

export default Routes;
